/* Based on Herman's Bear Blog...bear.css*/
:root {
    --width: 640px;
    --font-main:  sans-serif;
    --font-secondary: sans-serif;
    --font-scale: 1.2rem;
    --line-height: 1.8;
    --background-color:   # 000;           #FEF3C7; 
    --heading-color:   #222;  
    --text-color: #444;
    --link-color: #0000FF; /*#3273dc;*/
    --visited-color:  #8b6fcb;
    --code-background-color: #f2f2f2;
    --code-color: #222;
    --blockquote-color: #222;
}

@media (prefers-color-scheme: dark) {
    :root {
        --background-color: #01242e;
        --heading-color: #eee;
        --text-color: #ddd;
        --link-color: #8cc2dd;
        --visited-color:  #8b6fcb;
        --code-background-color: #000;
        --code-color: #ddd;
        --blockquote-color: #ccc;
    }
}

body {
    font-family: var(--font-secondary);
    font-size: var(--font-scale);
    margin: auto;
    padding: 20px;
    max-width: var(--width);
    text-align: left;
    background-color: var(--background-color);
    word-wrap: break-word;
    /*overflow-wrap: break-word;*/
    line-height: var(--line-height);
    color: var(--text-color);
}
main  {
	 white-space: pre-line;
}
h1, h2, h3, h4, h5, h6 {
    font-family: var(--font-main);
    color: var(--heading-color);
    margin: 0;
}
header h1  {
	color: #7F7F7F;
}
a {
    color: var(--link-color);
    cursor: pointer;
    text-decoration: none;
}

a:hover {
    text-decoration: underline 2px #1E90FF; 
  	color: #1E90FF;
}
nav a {
    margin-right: .8rem;
  	text-decoration: none !important ;
  	font-size: 100% !important ;
  
}

.current, nav a:hover {
	color:  #1E90FF;
}

strong, b {
    color: var(--heading-color);
}

button {
    margin: 0;
    cursor: pointer;
}

time {
 	font-family: monospace;
  	font-style: normal;
  	font-size: 16px;
}

main {
    line-height: 1.6;
}

table {
    width: 100%;
}

hr {
    border: 0;
    border-top: 1px solid;
}

img {
    max-width: 100%;
  	border-radius:1rem;
  	margin: 0
}

code {
    font-family: monospace;
    padding: 2px;
    background-color: var(--code-background-color);
    color: var(--code-color);
    border-radius: 3px;
}
mark {
  background-color: #FFE100;
  padding: 0 .5rem 0 .5rem;
 /* border-radius: 1rem;*/
}

blockquote {
    border-left: 1px solid #0000FF;
    color: var(--code-color);
    padding-left: 20px;
    font-style: italic;
}
s {
  text-decoration: line-through 2px black; /* was: black */
}

footer {
    padding: 25px 0;
    text-align: center;
    font-size: 80%
}
.footer {
   position: fixed;
   left: 0;
   bottom: 0;
   width: 100%;
   }
  
  
.title:hover {
    text-decoration: none;
}

.title h1 {
    font-size: 1.5em;
}

.inline {
    width: auto !important;
}

.highlight, .code {
    padding: 1px 15px;
    background-color: var(--code-background-color);
    color: var(--code-color);
    border-radius: 3px;
    margin-block-start: 1em;
    margin-block-end: 1em;
    overflow-x: auto;
}

/* blog post list */
ul.blog-posts {
    list-style-type: none;
    padding: unset;
}

ul.blog-posts li {
    display: flex;
}

ul.blog-posts li span {
    flex: 0 0 130px;
}

ul.blog-posts li a:visited {
    color: var(--visited-color);
}
